import bpy

def get_next_camera_name():
    index = 1
    while f"Camera2View_{index}" in bpy.data.cameras:
        index += 1
    return f"Camera2View_{index}"

def get_sorted_camera_objects():
    return sorted(
        [obj for obj in bpy.data.objects if obj.type == 'CAMERA' and obj.name.startswith("Camera2View_")],
        key=lambda obj: int(obj.name.split("_")[-1])
    )
